This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 852726 - Man page for rhc command missing
Man page for rhc command missing
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 08:22 EDT by Troy Dawson
Modified: 2015-05-14 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 14:09:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-08-29 08:22:04 EDT
Description of problem:

With a gem install, there is no man page explaining the rhc command and its behaviour.

Version-Release number of selected component (if applicable):

rhc-0.97.17

How reproducible:

Always

Steps to Reproduce:
1. gem install rhc
2. man rhc
3.
  
Actual results:

$ man rhc
No manual entry for rhc

Expected results:

A man page to show up

Additional info:

I know we have man pages.  They are in the rhc rpm.  We just have to get them into the gem file.
Comment 1 Clayton Coleman 2012-08-29 12:31:00 EDT
Gem files can't install man, and shouldn't.
Comment 2 Troy Dawson 2012-08-29 12:53:56 EDT
Can we at least have the man pages in the gem file.
That would provide two things.
 - people who want to use the gem man plugin can
 - people building packages from the gem (Fedora rpm's, possibly others) would be able to install man pages.

This would only mean adding one line to the gemspec

  s.files += Dir.glob("man/*")
Comment 3 Clayton Coleman 2012-08-29 14:09:50 EDT
Man files are going to be generated by the RPM build from the source - so as soon as J5's changes drop anyone with the gem source will be able to run a rake command to generate man files (bundle exec rake man:generate" or something).  This means that man files won't exist in source - they'll exist in the command metadata and be generated on demand.
Comment 4 Troy Dawson 2012-08-29 14:21:59 EDT
Thank sounds great.
Thank You
Comment 5 Guillermo Gómez 2012-09-22 09:30:37 EDT
News? As far as gem source version 0.98.16 i dont see any rake tasks.


rgds
Guillermo

Note You need to log in before you can comment on or make changes to this bug.